_Q='Reserved escape sequence used'
_P='false'
_O='true'
_N=','
_M=']'
_L=' '
_K='{'
_J='='
_I='['
_H='\\'
_G='\n'
_F='.'
_E=None
_D="'"
_C='"'
_B=True
_A=False
import datetime,io
from os import linesep
import re,sys
from .tz import TomlTz
if sys.version_info<(3,):_range=xrange
else:unicode=str;_range=range;basestring=str;unichr=chr
def _detect_pathlib_path(p):
	if(3,4)<=sys.version_info:
		import pathlib as A
		if isinstance(p,A.PurePath):return _B
	return _A
def _ispath(p):
	if isinstance(p,(bytes,basestring)):return _B
	return _detect_pathlib_path(p)
def _getpath(p):
	if(3,6)<=sys.version_info:import os;return os.fspath(p)
	if _detect_pathlib_path(p):return str(p)
	return p
try:FNFError=FileNotFoundError
except NameError:FNFError=IOError
TIME_RE=re.compile('([0-9]{2}):([0-9]{2}):([0-9]{2})(\\.([0-9]{3,6}))?')
class TomlDecodeError(ValueError):
	def __init__(A,msg,doc,pos):C=doc;B=pos;D=C.count(_G,0,B)+1;E=B-C.rfind(_G,0,B);F='{} (line {} column {} char {})'.format(msg,D,E,B);ValueError.__init__(A,F);A.msg=msg;A.doc=C;A.pos=B;A.lineno=D;A.colno=E
_number_with_underscores=re.compile('([0-9])(_([0-9]))*')
class CommentValue:
	def __init__(A,val,comment,beginline,_dict):A.val=val;B=_G if beginline else _L;A.comment=B+comment;A._dict=_dict
	def __getitem__(A,key):return A.val[key]
	def __setitem__(A,key,value):A.val[key]=value
	def dump(A,dump_value_func):
		B=dump_value_func(A.val)
		if isinstance(A.val,A._dict):return A.comment+_G+unicode(B)
		else:return unicode(B)+A.comment
def _strictly_valid_num(n):
	n=n.strip()
	if not n:return _A
	if n[0]=='_':return _A
	if n[-1]=='_':return _A
	if'_.'in n or'._'in n:return _A
	if len(n)==1:return _B
	if n[0]=='0'and n[1]not in[_F,'o','b','x']:return _A
	if n[0]=='+'or n[0]=='-':
		n=n[1:]
		if len(n)>1 and n[0]=='0'and n[1]!=_F:return _A
	if'__'in n:return _A
	return _B
def load(f,_dict=dict,decoder=_E):
	B=_dict;A=decoder
	if _ispath(f):
		with io.open(_getpath(f),encoding='utf-8')as G:return loads(G.read(),B,A)
	elif isinstance(f,list):
		from os import path as D;from warnings import warn
		if not[A for A in f if D.exists(A)]:C='Load expects a list to contain filenames only.';C+=linesep;C+='The list needs to contain the path of at least one existing file.';raise FNFError(C)
		if A is _E:A=TomlDecoder(B)
		E=A.get_empty_table()
		for F in f:
			if D.exists(F):E.update(load(F,B,A))
			else:warn('Non-existent filename in list with at least one valid filename')
		return E
	else:
		try:return loads(f.read(),B,A)
		except AttributeError:raise TypeError('You can only load a file descriptor, filename or list')
_groupname_re=re.compile('^[A-Za-z0-9_-]+$')
def loads(s,_dict=dict,decoder=_E):
	o="Invalid group name '";K=decoder;d=[]
	if K is _E:K=TomlDecoder(_dict)
	e=K.get_empty_table();G=e
	if not isinstance(s,basestring):raise TypeError('Expecting something like a string')
	if not isinstance(s,unicode):s=s.decode('utf8')
	I=s;B=list(s);b=0;J=_A;Q='';D=_A;L=_A;V=_B;U=_A;W=_A;O=0;c='';j='';k=1
	for (A,E) in enumerate(B):
		if E=='\r'and B[A+1]==_G:B[A]=_L;continue
		if O:
			c+=E
			if E==_G:raise TomlDecodeError('Key name found without value. Reached end of line.',I,A)
			if J:
				if E==Q:
					S=_A;F=1
					while A>=F and B[A-F]==_H:S=not S;F+=1
					if not S:O=2;J=_A;Q=''
				continue
			elif O==1:
				if E.isspace():O=2;continue
				elif E==_F:W=_B;continue
				elif E.isalnum()or E=='_'or E=='-':continue
				elif W and B[A-1]==_F and(E==_C or E==_D):J=_B;Q=E;continue
			elif O==2:
				if E.isspace():
					if W:
						X=B[A+1]
						if not X.isspace()and X!=_F:O=1
					continue
				if E==_F:
					W=_B;X=B[A+1]
					if not X.isspace()and X!=_F:O=1
					continue
			if E==_J:O=0;j=c[:-1].rstrip();c='';W=_A
			else:raise TomlDecodeError("Found invalid character in key name: '"+E+"'. Try quoting the key name.",I,A)
		if E==_D and Q!=_C:
			F=1
			try:
				while B[A-F]==_D:
					F+=1
					if F==3:break
			except IndexError:pass
			if F==3:D=not D;J=D
			else:J=not J
			if J:Q=_D
			else:Q=''
		if E==_C and Q!=_D:
			S=_A;F=1;f=_A
			try:
				while B[A-F]==_C:
					F+=1
					if F==3:f=_B;break
				if F==1 or F==3 and f:
					while B[A-F]==_H:S=not S;F+=1
			except IndexError:pass
			if not S:
				if f:D=not D;J=D
				else:J=not J
			if J:Q=_C
			else:Q=''
		if E=='#'and(not J and not U and not L):
			R=A;l=''
			try:
				while B[R]!=_G:l+=s[R];B[R]=_L;R+=1
			except IndexError:break
			if not b:K.preserve_comment(k,j,l,V)
		if E==_I and(not J and not U and not L):
			if V:
				if len(B)>A+1 and B[A+1]==_I:L=_B
				else:U=_B
			else:b+=1
		if E==_M and not J:
			if U:U=_A
			elif L:
				if B[A-1]==_M:L=_A
			else:b-=1
		if E==_G:
			if J or D:
				if not D:raise TomlDecodeError('Unbalanced quotes',I,A)
				if(B[A-1]==_D or B[A-1]==_C)and B[A-2]==B[A-1]:
					B[A]=B[A-1]
					if B[A-3]==B[A-1]:B[A-3]=_L
			elif b:B[A]=_L
			else:V=_B
			k+=1
		elif V and B[A]!=_L and B[A]!='\t':
			V=_A
			if not U and not L:
				if B[A]==_J:raise TomlDecodeError('Found empty keyname. ',I,A)
				O=1;c+=E
	if O:raise TomlDecodeError('Key name found without value. Reached end of file.',I,len(s))
	if J:raise TomlDecodeError('Unterminated string found. Reached end of file.',I,len(s))
	s=''.join(B);s=s.split(_G);T=_E;D='';P=_A;N=0
	for (g,C) in enumerate(s):
		if g>0:N+=len(s[g-1])+1
		K.embed_comments(g,G)
		if not D or P or _G not in D:C=C.strip()
		if C==''and(not T or P):continue
		if T:
			if P:D+=C
			else:D+=C
			P=_A;h=_A
			if D[0]==_I:h=C[-1]==_M
			elif len(C)>2:h=C[-1]==D[0]and C[-2]==D[0]and C[-3]==D[0]
			if h:
				try:p,r=K.load_value(D)
				except ValueError as Y:raise TomlDecodeError(str(Y),I,N)
				G[T]=p;T=_E;D=''
			else:
				F=len(D)-1
				while F>-1 and D[F]==_H:P=not P;F-=1
				if P:D=D[:-1]
				else:D+=_G
			continue
		if C[0]==_I:
			L=_A
			if len(C)==1:raise TomlDecodeError('Opening key group bracket on line by itself.',I,N)
			if C[1]==_I:L=_B;C=C[2:];Z=']]'
			else:C=C[1:];Z=_M
			A=1;q=K._get_split_on_quotes(C);i=_A
			for m in q:
				if not i and Z in m:break
				A+=m.count(Z);i=not i
			C=C.split(Z,A)
			if len(C)<A+1 or C[-1].strip()!='':raise TomlDecodeError('Key group not on a line by itself.',I,N)
			H=Z.join(C[:-1]).split(_F);A=0
			while A<len(H):
				H[A]=H[A].strip()
				if len(H[A])>0 and(H[A][0]==_C or H[A][0]==_D):
					a=H[A];R=A+1
					while not a[0]==a[-1]:
						R+=1
						if R>len(H)+2:raise TomlDecodeError(o+a+"' Something "+'went wrong.',I,N)
						a=_F.join(H[A:R]).strip()
					H[A]=a[1:-1];H[A+1:R]=[]
				elif not _groupname_re.match(H[A]):raise TomlDecodeError(o+H[A]+"'. Try quoting it.",I,N)
				A+=1
			G=e
			for A in _range(len(H)):
				M=H[A]
				if M=='':raise TomlDecodeError("Can't have a keygroup with an empty name",I,N)
				try:
					G[M]
					if A==len(H)-1:
						if M in d:
							d.remove(M)
							if L:raise TomlDecodeError("An implicitly defined table can't be an array",I,N)
						elif L:G[M].append(K.get_empty_table())
						else:raise TomlDecodeError('What? '+M+' already exists?'+str(G),I,N)
				except TypeError:
					G=G[-1]
					if M not in G:
						G[M]=K.get_empty_